# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""gestion des exceptions
"""

class RPCError(Exception):
    "probleme de communication ou d'execution d'une commande distante"
    pass

class URLError(Exception):
    "impossible de recuperer une url"
    pass

class DataError(Exception):
    "fichier inexistant ou bien format de log incorrect"
    pass

class CmdLineError(Exception):
    "utilisation ligne de commande incorrecte"
    pass

class MinimalContentError(Exception):
    "le contenu à tester est trop petit"
    pass
